precision mediump float;

attribute vec4 aPosition;
attribute vec2 aTextureCoord;

uniform mat4 uMVPMatrix;
uniform mat3 filterMatrix;

varying vec2 vTextureCoord;
varying vec2 vFilterCoord;

void main(void)
{
   gl_Position = uMVPMatrix * aPosition;
   //gl_Position /= gl_Position.w;
   vFilterCoord = ( filterMatrix * vec3( aTextureCoord, 1.0)  ).xy;
   vTextureCoord = aTextureCoord;
}